Better error message from bzrtools

John Arbash Meinel john at
Fri Jan 26 17:29:31 GMT 2007

Hash: SHA1

Aaron Bentley wrote:
> John Arbash Meinel wrote:
>>> I know Phil's confusion is that he didn't realize "bzrtools" !=
>>> "bzrlib". So I was hoping to reduce confusion by making it clear
>>> 'bzrtools' is a plugin, and what the specific version of bzrtools is,
>>> versus what it would want to be.
> Well, I think anyone who has installed Bzrtools from source really ought
> to know that it's a plugin, but what the heck.
> Aaron

Well, even if you didn't install it from source we have pretty clear
examples of packages not respecting versioning properly.

When he pointed it out to me, the biggest thing I saw was that bzrtools
never states what version *it* is at. Just that it is out of date, and
there should be a different version available.

I can also see the point that things might have been set up by someone
else. Or you just saw a recommendation to "mkdir -p ~/.bazaar/plugins;
cd ~/.bazaar/plugins; ...". Without really understanding it.

As you say, it isn't a critical thing, but it is also pretty easy to
clean up a error message, and make it more user friendly.

Version: GnuPG v1.4.3 (GNU/Linux)
Comment: Using GnuPG with Mozilla -


More information about the bazaar mailing list